###########################################################################
#
# win32.mak -- Windows Makefile for common-src
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2010  The New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


# Option: Lucene support
!IF $(ENABLE_LUCENE)
LUCENE_SUBDIRS = indexers packages\windows\expat\expat
!ENDIF

# Option: SQLite support
!IF $(USE_SQLITE)
SQLITE_SUBDIRS = packages\sqlite
!ENDIF

SUBDIRS = $(LUCENE_SUBDIRS) $(SQLITE_SUBDIRS) src\lib


all: win32.mak $(SUBDIRS)

install: win32.mak $(SUBDIRS)

$(SUBDIRS): FORCE
	cd "$@"
	$(MAKE) /f win32.mak
	$(MAKE) /f win32.mak install
	cd "$(MAKEDIR)"

FORCE:
