###########################################################################
#
# win32.mak -- Windows Makefile for top-level
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2010  The New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


GSDL_DIR = $(MAKEDIR)
MAKE = $(MAKE) GSDLHOME=$(GSDL_DIR)


# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
MAKE = $(MAKE) ENABLE_LUCENE=1
!ENDIF

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
MAKE = $(MAKE) USE_SQLITE=1
!ENDIF


SUBDIRS = common-src build-src runtime-src


all: win32.mak $(SUBDIRS)

install: win32.mak $(SUBDIRS)

$(SUBDIRS): FORCE
	cd "$@"
	$(MAKE) /f win32.mak
	$(MAKE) /f win32.mak install
	cd "$(MAKEDIR)"

FORCE:
